yubikey-piv-manager-1.4.1-13.1.noarch.rpm


Advertisement

Description

yubikey-piv-manager - YubiKey PIV Manager GUI

Distribution: openSUSE 13.2
Repository: openSUSE Security all
Package name: yubikey-piv-manager
Package version: 1.4.1
Package release: 13.1
Package architecture: noarch
Package type: rpm
Installed size: 489.23 KB
Download size: 121.51 KB
Official Mirror: ftp.gwdg.de
Tool for configuring your PIV-enabled YubiKey.

Alternatives

Provides

  • application()
  • application(pivman.desktop)
  • yubikey-piv-manager = 1.4.1-13.1

    Install Howto

    1. Add the openSUSE Security repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/security/openSUSE_13.2/ opensuse-security
    2. Install yubikey-piv-manager rpm package:
      # zypper install yubikey-piv-manager

    Files

    • /usr/bin/pivman
    • /usr/lib/python2.7/site-packages/
    • /usr/lib/python2.7/site-packages/pivman/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/__main__.py
    • /usr/lib/python2.7/site-packages/pivman/__main__.pyc
    • /usr/lib/python2.7/site-packages/pivman/controller.py
    • /usr/lib/python2.7/site-packages/pivman/controller.pyc
    • /usr/lib/python2.7/site-packages/pivman/libykpiv.py
    • /usr/lib/python2.7/site-packages/pivman/libykpiv.pyc
    • /usr/lib/python2.7/site-packages/pivman/messages.py
    • /usr/lib/python2.7/site-packages/pivman/messages.pyc
    • /usr/lib/python2.7/site-packages/pivman/piv.py
    • /usr/lib/python2.7/site-packages/pivman/piv.pyc
    • /usr/lib/python2.7/site-packages/pivman/piv_cmd.py
    • /usr/lib/python2.7/site-packages/pivman/piv_cmd.pyc
    • /usr/lib/python2.7/site-packages/pivman/qt_resources.py
    • /usr/lib/python2.7/site-packages/pivman/qt_resources.pyc
    • /usr/lib/python2.7/site-packages/pivman/storage.py
    • /usr/lib/python2.7/site-packages/pivman/storage.pyc
    • /usr/lib/python2.7/site-packages/pivman/utils.py
    • /usr/lib/python2.7/site-packages/pivman/utils.pyc
    • /usr/lib/python2.7/site-packages/pivman/watcher.py
    • /usr/lib/python2.7/site-packages/pivman/watcher.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/view/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/cert.py
    • /usr/lib/python2.7/site-packages/pivman/view/cert.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/generate_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/generate_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/init_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/init_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/main.py
    • /usr/lib/python2.7/site-packages/pivman/view/main.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/manage.py
    • /usr/lib/python2.7/site-packages/pivman/view/manage.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/set_key_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/set_key_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/set_pin_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/set_pin_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/settings_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/settings_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/usage_policy_dialog.py
    • /usr/lib/python2.7/site-packages/pivman/view/usage_policy_dialog.pyc
    • /usr/lib/python2.7/site-packages/pivman/view/utils.py
    • /usr/lib/python2.7/site-packages/pivman/view/utils.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/compat.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/compat.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/ctypes/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/ctypes/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/ctypes/libloader.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/ctypes/libloader.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/classes.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/classes.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/osx.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/osx.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/settings.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/settings.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/utils.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/utils.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/worker.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/qt/worker.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/__init__.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/__init__.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/exe.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/exe.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/pyinstaller_spec.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/pyinstaller_spec.pyc
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/qt.py
    • /usr/lib/python2.7/site-packages/pivman/yubicommon/setup/qt.pyc
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/PKG-INFO
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/SOURCES.txt
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/dependency_links.txt
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/entry_points.txt
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/requires.txt
    • /usr/lib/python2.7/site-packages/yubikey_piv_manager-1.4.1-py2.7.egg-info/top_level.txt
    • /usr/share/applications/pivman.desktop
    • /usr/share/doc/packages/yubikey-piv-manager/COPYING
    • /usr/share/doc/packages/yubikey-piv-manager/ChangeLog
    • /usr/share/doc/packages/yubikey-piv-manager/NEWS
    • /usr/share/doc/packages/yubikey-piv-manager/README
    • /usr/share/man/man1/pivman.1.gz
    • /usr/share/pixmaps/pivman.xpm

    Changelog

    2016-10-13 - t.gruner@katodev.de - Remove build requirement python-pyside-tools

    2016-10-12 - t.gruner@katodev.de - Version 1.4.1 (released 2016-09-30) - Now displays a confirmation dialog box when overwriting certificate data in a slot (including in the macOS Sierra wizard). - On initialization, now shows a warning when the PIN or PUK has been changed in another tool. - It is now possible to close the initialization and the expired PIN dialog boxes without closing the application. - Bugfix: Connecting to a Certificate Authority should now work as expected (even over a network). - Bugfix: Layout in the initialization dialog box was not acting as expected when the radio buttons were clicked. - Version 1.4.0 (released 2016-09-20) - New wizard for setting up a YubiKey for pairing with macOS Sierra, providing an easy way to generate certificates in the authentication and key management slots. After the YubiKey is paired, macOS Sierra will recognize the YubiKey and allow you to pair it with an account on macOS. - Improved appearance on Retina displays. - More specific error messages when trying to import a certificate that is too large. - Bugfix: Connecting to a Certificate Authority should now work again. - Removed touch policy that was erroneously added in the previous version.

    2016-08-31 - carlos@techbyte.ca - Version 1.3.0 (released 2016-08-08) - Updated to be inline with yubico-piv-tool 1.4.2. - Allow generation of a authentication certificate when initialising a new YubiKey. - Set the CCC when initialising a new YubiKey. - Show an option for expiration date when generating new certificates. - Add support for importing PEM files that contains both a private key and a certificate. - Bugfix: Connecting to a Certificate Authority on a localised Windows environment should now work. - Add compability with Python 3.

    2015-11-18 - t.gruner@katodev.de - Version 1.1.1 (released 2015-11-16) - Better handling of intermittent device disconnects.

    2015-11-12 - t.gruner@katodev.de - Version 1.1.0 (released 2015-11-12) - Added support for ECC P-384 when supported by the device. - Added usage policy when supported by the device. - Update to libykpiv1. - Version 1.0.2 (released 2015-05-18) - Fix bug preventing device from being found with multiple card readers attached. - Don?t save window position as it causes problems with multi-monitor setups.

    2015-04-28 - t.gruner@katodev.de - Cleanup .spec file

    2015-04-16 - t.gruner@katodev.de - Version 1.0.1 (released 2015-04-16) - Packaging improvements release, no new features. Version 1.0.0 (released 2015-04-14) - Initial version.

    Advertisement
    Advertisement